
%define pk_version 0.5.3

Name:	  	kpackagekit
Version:	0.5.0.3
Release:	1%{?dist}
Summary:	KDE interface for PackageKit

License:	GPLv2+
Group:		Applications/System
#Source0:	http://www.kde-apps.org/CONTENT/content-files/84745-kpackagekit-%{version}.tar.bz2
Source0:	kpackagekit-0.5.0.3.tar.bz2
URL:		http://www.kde-apps.org/content/show.php/KPackageKit?content=84745
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Hacks to smash kpackagekit: daily/none default (#469375)
Patch50: kpackagekit-0.5.0-defaults_hacks.patch

BuildRequires:	cmake
BuildRequires:  desktop-file-utils
BuildRequires:	kde-filesystem
BuildRequires:	kdelibs4-devel
BuildRequires:	PackageKit-qt-devel >= %{pk_version} 
BuildRequires:  gettext
BuildRequires:  dbus-qt-devel

Requires: PackageKit-qt >= %{pk_version}

%description
KDE interface for PackageKit.


%prep
%setup -q -n %{name}-%{version}

%patch50  -p1 -b .defaults_hacks


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..  
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

touch kpackagekit.lang
%find_lang kpackagekit || echo "NOTICE: translations missing!"


%check
desktop-file-validate $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/kpackagekit.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f kpackagekit.lang
%defattr(-,root,root,-)
%{_kde4_bindir}/kpackagekit
%{_kde4_libdir}/libkpackagekitlib.so
%{_kde4_libdir}/kde4/*.so
%{_kde4_libexecdir}/kpackagekitsmarticon
%{_kde4_datadir}/applications/kde4/kpackagekit.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kded/*.desktop
%{_kde4_appsdir}/kpackagekit/
%{_kde4_appsdir}/KPackageKitSmartIcon/
%{_datadir}/dbus-1/services/org.kde.KPackageKitSmartIcon.service


%changelog
* Sat Oct 31 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.3-1
- Official 0.5.0.3 release

* Sun Oct 25 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.2-1
- Official 0.5.0.2 release

* Tue Oct 20 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.1-1
- Official 0.5.0.1 release
- Includes patch to fix (#469375) default/none issue

* Tue Sep 15 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090915svn
- New git snapshot

* Tue Sep 08 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090908svn
- New git snapshot, disable history

* Wed Sep 02 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090902svn
- New git snapshot

* Mon Aug 24 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090824svn
- New git snapshot

* Wed Aug 19 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090819svn
- New upstream release with PolicyKit 1 integration

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-3
- Now includes Sloval(sk) translations

* Tue Jul 7 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-2
- rebuild for new packagekit

* Thu Jun 11 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-1
- Fixed all krazy issues (2 or 3 not much important changed in backend details)
- With KDE >= 4.2.3 persistent notifications are working again so the code to use it was commented out
- Getting duplicated updates was trully fixed
- Added "details" button on error notifications

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-3
- apply awol InitialPreference patch

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-2
- Added missing translations

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- min pk_version 0.4.7
- touchup %%files
- highlight missing translations during build (but make it non-fatal)
- drop upstreamed patches

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-0
- New upstream release.  Fixes compatibility with Packagekit 0.4.8 (#503989)

* Tue Apr 28 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-7
- upstream patch to fix catalog loading (#493061)

* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-6
- make update notification persistent (#485796)

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-5
- another respun tarball to fix using those translations (#493061)

* Tue Mar 17 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-4
- respun (fixed) tarball with translations included

* Mon Mar 09 2009 Richard Hughes  <rhughes@redhat.com> - 0.4.0-3
- Rebuild for PackageKit-qt soname bump

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.4.0-1
- Official 0.4.0 release

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-0.2.20090128svn
- workaround: mime-type/extension binding for .rpm is wrong (#457783)

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-svn.1
- SVN build to solve compatibility issues with packagekit 0.4.2

* Wed Nov 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-6
- respin (PackageKit)
- spec cleanup

* Sat Nov 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-5
- use PackageKit's FindQPackageKit.cmake

* Tue Oct 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-4
- build against PackageKit-qt

* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.rog> 0.3.1-3
- patch kpackagekit.desktop (guessed correct X-DBUS-ServiceName value), 
- fixes: KDEInit could not launch "/usr/bin/kpackagekit"
- cleanup %%files

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-2
- Fix build error

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-1
- New upstream release

* Mon Sep 29 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-1
- Official 0.1 release

* Sun Aug 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b4
- Excluded underdevelopment binaries and associated files 

* Fri Aug 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b4
- Adding missing files

* Tue Aug 19 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b4
- New upstream release

* Fri Aug 01 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.5.b3
- Corrected SPEC file regression

* Thu Jul 31 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.4.b3
- Changed wording on serveral windows to make them better understood

* Thu Jul 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b3
- Removed additional uneeded BRs

* Tue Jul 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b3
- Removed uneeded BRs
- Made use of predefined macros

* Wed Jul 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b3
- Initial SPEC file
